Hi all,

This is a summary of ruby-dev ML in these days.


---- ruby-dev #18070-18110 (2002-08-23 ... 2002-08-30) -----

[ruby-dev:18073] Re: ERb

  Masatoshi SEKI announced that he re-started to develop
  erb-2.0, which is going to be in standard library.

    http://www2a.biglobe.ne.jp/~seki/ruby/erb-2.0a1.tar.gz

     * ERbLight is renamed to ERB.
     * you can load it with "require 'erb'"
     * He considers deleting erbcgi.rb.


[ruby-dev:18109] mkmf.rb and extmk.rb

  WATANABE Hirofumi raise the issue of mkmf.rb and extmk.rb.

  * There is no definition of dependency rule between
    extmk.rb.in and extmk.rb in Makefile. So if we
    modify extmk.rb.in, extmk.rb is not updated.

   (This problem is pointed out by Kazuhiro NISHIYAMA in
    several times.)

    There are three solutions:

    1) describe dependency rule in Makefile
    2) get rid of extmk.rb.in and use Config::CONFIG["FOO"]
       instead of @FOO@ in extmk.rb.
    3) describe dependency rule in Makefile.in,
       but use ext/configsub.rb
       (In other words, stop to use config.status)

    He likes 3).
  
  * mkmf.rb and extmk.rb violate DRY

    It is reasonable to put "require 'mkmf'" on extmk.rb.

  * install and site-install in mkmf.rb

    Should Install target in Makefile mean site-install?


TAKAHASHI 'Maki' Masayoshi     E-mail: maki / rubycolor.org